Brick API Documentation
API

Check Disbursement Status using Disbursement ID

Use this status endpoint to retrieve the latest Send Money transaction state using the Brick-generated Disbursement ID. This check is useful after creating Regular or BI-FAST transfers, especially when a callback is delayed, an API request times out, or finance operations need to reconcile payout lifecycle states.

📘 Environment for Endpoint URL

Please Replace the environment in the URL with:

When the environtment is sandbox, replace the {environment} with sandbox. so the URL will be https://sandbox.onebrick.io/v2/payments/gs/bifast-disbursements

When the environment is production, replace the {environment} with api. so the URL will be https://api.onebrick.io/v2/payments/gs/bifast-disbursements

Request parameters

Key ParametersData TypeDescription
disbursementIdStringDisbursement ID of specific transaction

Additional Request Parameters

Key ParametersData TypeDescriptionLimitation
nameStringName of the user that send the money1. Alpha Numeric 2. Space Allowed 3. Max 40 Characters
identityTypeStringAllowed Value only KTP/SIM/KITAS/NPWPAllowed Value only KTP/SIM/KITAS/NPWP
identityNumberStringIdentity Number of the User1. Alpha Numeric 2. Min 10 characters 3. Max 16 Characters
countryCodeStringTwo-letter country code for the senderAllowed value: 2 uppercase characters
provinceCodeStringTwo-letter province code for the senderAllowed value: 2 uppercase characters
cityCodeStringFour-letter city code for the senderAllowed value: 4 uppercase characters
jobCodeStringFour-letter job code for the senderAllowed value: 4 uppercase characters
addressStringAddress of the user1. Alpha Numeric 2. Space Allowed 3. Max 40 Characters
placeOfBirthStringPlace of the user birth1. Alpha Numeric 2. Space allowed 3. Max 40 Characters
dateOfBirthStringDate of Birth of the userYYYY-MM-DD Format

Response parameters

Key ParametersData typeDescription
referenceIdStringReference ID given by end user
idStringTransaction id generated by brick
amountStringAmount of transaction
statusStringThe Status of transaction
createdAtTimestampTime when the transaction created
typeStringType of transaction
bankAccountNoNumberAccount number of beneficiary
bankShortCodeStringBank Short Code
bankAccountHolderNameStringDescription that filled related to fund transfer
bankNameStringBeneficiary bank name

Additional Response Parameters

Key ParametersData TypeDescription
nameStringName of the user that send the money
identityTypeStringAllowed Value only KTP/SIM/KITAS/NPWP
identityNumberStringIdentity Number of the User
countryCodeStringCountry Code based on the user
provinceCodeStringProvince Code based on the user
cityCodeStringCity Code based on the user
jobCodeStringJob Code based on the user
addressStringAddress of the user
placeOfBirthStringPlace of the user birth
dateOfBirthStringDate of Birth of the user
Last modified on